Package io.vertx.rxjava3.ext.web.handler.graphql

## Class UploadScalar

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.UploadScalar

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class UploadScalar
      extends Object
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<UploadScalar>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UploadScalar​(UploadScalar delegate)` |
    `UploadScalar​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static graphql.schema.GraphQLScalarType` | `build()` |
    `boolean` | `equals​(Object o)` |
    `UploadScalar` | `getDelegate()` |
    `int` | `hashCode()` |
    `static UploadScalar` | `newInstance​(UploadScalar arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<UploadScalar> __TYPE_ARG

  - ### Constructor Detail

    - #### UploadScalar

          public UploadScalar​(UploadScalar delegate)

    - #### UploadScalar

          public UploadScalar​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public UploadScalar getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### build

          public static graphql.schema.GraphQLScalarType build()

    - #### newInstance

          public static UploadScalar newInstance​(UploadScalar arg)